Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Apr 2023 16:40:06 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 14 Apr 2023 14:34:16 +0200
> 
> >>>>> On Fri, 14 Apr 2023 13:54:11 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> Yes, we can change the default to t on master.  But that would also
>     Eli> require to adjust a few doc strings, see below.
> 
> So on master if I upgrade all packages, ':core' packages would be
> automatically upgraded as well?

is that what the default of that option means?

> I strongly object to that as a default; just because thereʼs a newer
> version on elpa of a :core package doesnʼt mean emacs should upgrade
> to it unless *explicitly* told to do so.

I said we _can_ change the default; I didn't say we _must_.  If enough
people object to making that the default, it won't be changed.